%define texmf   %{_datadir}/texmf

Name:           tetex-elsevier
# upstream is unversionned, the version is constructed with the latest 
# file timestamp, in the format YYYYMMDD
Version:        0.1.20060516
Release:        3%{?dist}
Summary:        Elsevier LaTeX style files and documentation

Group:          Applications/Publishing
License:        LaTeX Project Public License
URL:            http://www.authors.elsevier.com/getting_published.html?dc=QG3
Source1:        http://www.authors.elsevier.com/latex/elsart.cls
Source2:        http://www.authors.elsevier.com/latex/elsart1p.cls
Source3:        http://www.authors.elsevier.com/latex/elsart3p.cls
Source4:        http://www.authors.elsevier.com/latex/elsart5p.cls
Source5:        http://www.authors.elsevier.com/latex/instructions-num.pdf
Source6:        http://www.authors.elsevier.com/latex/instructions-harv.pdf
Source7:        http://www.authors.elsevier.com/latex/template-harv.tex
Source8:        http://www.authors.elsevier.com/latex/template-num.tex
Source9:        http://www.authors.elsevier.com/latex/elsart-harv.bst
Source10:       http://www.authors.elsevier.com/latex/elsart-num.bst

# explains what the files are associated with
Source100:      tetex-elsevier-README.fedora

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildarch:      noarch

Requires:       tetex-latex

%description
LaTeX style files and documentation for the Elsevier publisher.

%prep
%setup -q -T -c
cp %{SOURCE100} README.fedora
cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} \
 %{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE10} .

# since there is no versionning the file date is relevant, try to keep it
for file in *.tex; do
  touch -r $file $file-stamp
  sed -i -e 's/\r//' $file
  touch -r $file-stamp $file
  rm -f $file-stamp
done

#%%build


%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{texmf}/tex/latex/elsevier/ 
install -d -m755 $RPM_BUILD_ROOT%{texmf}/bibtex/bst/elsevier/
cp -p *.cls $RPM_BUILD_ROOT%{texmf}/tex/latex/elsevier/
cp -p *.bst $RPM_BUILD_ROOT%{texmf}/bibtex/bst/elsevier/

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /usr/bin/texhash


%postun -p /usr/bin/texhash


%files
%defattr(-,root,root,-)
%doc README.fedora *.pdf *.tex
%{texmf}/tex/latex/elsevier/
%{texmf}/bibtex/bst/elsevier/


%changelog
* Tue Aug 22 2006 Patrice Dumas <pertusus@free.fr> 0.1.20060516-3
- correct bst files place

* Fri Aug 11 2006 Patrice Dumas <pertusus@free.fr> 0.1.20060516-2
- really keep the timestamps

* Fri Aug 11 2006 Patrice Dumas <pertusus@free.fr> 0.1.20060516-1
- keep files timestamps, even for installed files
- remove unneeded tetex-latex BuildRequires
- correct the version by using the right month from the file timestamps

* Thu Aug 10 2006 Patrice Dumas <pertusus@free.fr> 0.1.20060416-3
- don't ship the ifac style, it is not redistributable

* Wed Aug  9 2006 Patrice Dumas <pertusus@free.fr> 0.1.20060416-2
- Ship a README.fedora file instead of packaging the web page

* Wed Aug  9 2006 Patrice Dumas <pertusus@free.fr> 0.1.20060416-1
- Initial Release
